org.apache.ignite.internal.processors.authentication

## Class UserManagementOperation

- java.lang.Object
- - org.apache.ignite.internal.processors.authentication.UserManagementOperation

All Implemented Interfaces:
  Serializable

    public class UserManagementOperation
    extends Object
    implements Serializable

The operation with users. Used to deliver the information about requested operation to all server nodes.

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `UserManagementOperation.OperationType` User action type.

### Constructor Summary

Constructors
Constructor and Description
`UserManagementOperation()` Constructor.
`UserManagementOperation(User usr, UserManagementOperation.OperationType type)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`int` `hashCode()`
`IgniteUuid` `id()`
`String` `toString()`
`UserManagementOperation.OperationType` `type()`
`User` `user()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UserManagementOperation

    public UserManagementOperation()

Constructor.

#### UserManagementOperation

    public UserManagementOperation(User usr,
                                   UserManagementOperation.OperationType type)

Parameters:
  `usr` - User.
  `type` - Action type.

### Method Detail

#### user

    public User user()

Returns:
  User.

#### type

    public UserManagementOperation.OperationType type()

Returns:
  Operation type.

#### id

    public IgniteUuid id()

Returns:
  Operation ID.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021